How to access FilterBuilder API
You can use either of the two ways below to get access to the FilterBuilder API:
- apply the init handler function with the api as the parameter
- use a React ref to store the api object
Apply the init handler
You can access FilterBuilder API using the init handler function that takes api as the parameter.
The example below shows how to add a rule without opening the editor form and set the filtering value. To make this possible, we get access to the FilterBuilder API using the init prop, and then intercept and modify the add-rule action using the api.intercept() method.
import { getData } from "./common/data";
import { FilterBuilder } from "@svar-ui/react-filter";
const { value, fields, options } = getData();
function Example() {
  const init = (api) => {
    api.intercept("add-rule", (ev) => {
      ev.edit = false;
    });
  };
  return <FilterBuilder value={value} options={options} fields={fields} init={init} />;
}
Use a ref to access api
You can access FilterBuilder API via the api gateway object by using a React ref. Pass the ref to the FilterBuilder component
In the example below we use the api.getValue() method of the FilterBuilder API to retrieve the current filtering configuration. When the user clicks the "Show value" button, the current filter (rules and groups) is fetched and logged to the console.
import { useRef } from "react";
import { getData } from "../data";
import { FilterBuilder } from "@svar-ui/react-filter";
import { Button } from "@svar-ui/react-core";
function Example() {
  const { value, fields, options } = getData();
  const api = useRef();
  function logValue() {
    console.log(api.current.getValue());
  }
  return (
    <>
      <Button type="secondary" onClick={logValue}>Log value</Button>
      <FilterBuilder ref={api} value={value} fields={fields} options={options} />
    </>
  );
}
api methods
- api.exec()
- api.getReactiveState()
- api.getState()
- api.getValue()
- api.intercept()
- api.on()
- api.setNext()
See each method description in the next sections.

How to access FilterBuilder API
You can use either of the two ways below to get access to the FilterBuilder API:
- apply the init handler function with the api as the parameter
- apply the
template refconstruct to store the api object in a variable (please, refer to template refs)
Apply the init handler
You can access FilterBuilder API using the init handler function that takes api as the parameter.
The example below shows how to add a rule without opening the editor form and set the filtering value. To make this possible, we get access to the FilterBuilder API using the init handler, and then intercept and modify the add-rule action using the api.intercept() method.
<script setup>
import { getData } from "./common/data";
import { FilterBuilder } from "@svar-ui/vue-filter";
const { value, fields, options } = getData();
const init = (api) => {
api.intercept("add-rule", ev => {
ev.edit = false;
});
}
</script>
<template>
<FilterBuilder :value="value" :options="options" :fields="fields" :init="init" />
</template>
Bind to api
You can access FilterBuilder API via the api gateway object. You should use the template refs Vue feature to bind to the api object.
In the example below we use the api.getValue() method of the FilterBuilder API to retrieve the current filtering configuration. When the user clicks the "Show value" button, the current filter (rules and groups) is fetched and logged to the console.
<script setup>
import { ref } from "vue";
import { getData } from "../data";
import { FilterBuilder } from "@svar-ui/vue-filter";
import { Button } from "@svar-ui/vue-core";
const { value, fields, options } = getData();
const api = ref(null);
function logValue() {
console.log(api.value.getValue());
}
</script>
<template>
<Button type="secondary" :onclick="logValue">Log value</Button>
<FilterBuilder ref="api" :value="value" :fields="fields" :options="options" />
</template>
api methods
api.exec()api.getReactiveState()api.getState()api.getValue()api.intercept()api.on()api.setNext()
See each method description in the next sections.

How to access FilterBuilder API
You can use either of the two ways below to get access to the FilterBuilder API:
- apply the init handler function with the api as the parameter
- apply the bind:thisconstruct to store the api object in a variable (please, refer to bind)
Apply the init handler
You can access FilterBuilder API using the init handler function that takes api as the parameter.
The example below shows how to add a rule without opening the editor form and set the filtering value. To make this possible, we get access to the FilterBuilder API using the init handler, and then intercept and modify the add-rule action using the api.intercept() method.
<script>
    import { getData } from "./common/data";
    import { FilterBuilder } from "@svar-ui/svelte-filter";
    const { value, fields, options } = getData();
    const init = (api) => {
        api.intercept("add-rule", ev => {
            ev.edit = false;
        });
    }
</script>
<FilterBuilder {value} {options} {fields} {init} />  
Bind to api
You can access FilterBuilder API via the api gateway object. You should use the bind Svelte feature to bind to the api object.
In the example below we use the api.getValue() method of the FilterBuilder API to retrieve the current filtering configuration. When the user clicks the "Show value" button, the current filter (rules and groups) is fetched and logged to the console.
<script>
    import { getData } from "../data";
    import { FilterBuilder } from "@svar-ui/svelte-filter";
    import { Button } from "@svar-ui/svelte-core";
    const { value, fields, options } = getData();
    let api = $state();
    function logValue() {
        console.log(api.getValue());
    }
</script>
<Button type="secondary" onclick={logValue}>Log value</Button>
<FilterBuilder bind:this={api} {value} {fields} {options} />
api methods
- api.exec()
- api.getReactiveState()
- api.getState()
- api.getValue()
- api.intercept()
- api.on()
- api.setNext()
See each method description in the next sections.